## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

%global xdg_desktop_portal_version 1.15.0

Name:           xdg-desktop-portal-gnome
Version:        43.1
Release:        %autorelease
Summary:        Backend implementation for xdg-desktop-portal using GNOME

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/%{name}
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gnome-bg-4)
BuildRequires:  pkgconfig(gnome-desktop-4)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(xdg-desktop-portal) >= %{xdg_desktop_portal_version}
BuildRequires:  systemd-rpm-macros
Requires:       dbus
Requires:       dbus-common
Requires:       xdg-desktop-portal >= %{xdg_desktop_portal_version}
Supplements:    gnome-shell

%description
A backend implementation for xdg-desktop-portal that is using various pieces of
GNOME infrastructure, such as the org.gnome.Shell.Screenshot or
org.gnome.SessionManager D-Bus interfaces.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson -Dsystemduserunitdir=%{_userunitdir}
%meson_build


%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_libexecdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gnome.service
%{_datadir}/glib-2.0/schemas/xdg-desktop-portal-gnome.gschema.xml
%{_datadir}/xdg-desktop-portal/portals/gnome.portal
%{_userunitdir}/%{name}.service


%changelog
* Thu Oct 27 2022 David King <amigadave@amigadave.com> 43.1-1
- Update to 43.1

* Mon Sep 19 2022 Kalev Lember <klember@redhat.com> 43.0-1
- Update to 43.0

* Tue Sep 06 2022 Kalev Lember <klember@redhat.com> 43~rc-1
- Update to 43.rc

* Fri Aug 12 2022 Kalev Lember <klember@redhat.com> 43~beta-1
- Update to 43.beta

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 43~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> 43~alpha-1
- Update to 43.alpha

* Mon Jul 04 2022 Debarshi Ray <debarshir@gnome.org> 42.3-1
- Update to 42.3

* Mon Jul 04 2022 Debarshi Ray <debarshir@gnome.org> 42.2-1
- Update to 42.2

* Wed Apr 27 2022 David King <amigadave@amigadave.com> 42.1-1
- Update to 42.1

* Fri Apr 08 2022 Michael Catanzaro <mcatanzaro@redhat.com> 42.0.1-4
- Simplify Supplements

* Tue Apr 05 2022 Debarshi Ray <rishi@fedoraproject.org> - 42.0.1-2
- Make the Supplements specific to Fedora to retain consistency with
  xdg-desktop-portal-gtk

* Fri Mar 18 2022 David King <amigadave@amigadave.com> - 42.0.1-1
- Update to 42.0.1

* Fri Mar 18 2022 David King <amigadave@amigadave.com> - 42.0-1
- Update to 42.0

* Tue Mar 08 2022 David King <amigadave@amigadave.com> - 42~rc-1
- Update to 42.rc

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 25 2021 Kalev Lember <klember@redhat.com> - 41.1-1
- Update to 41.1

* Sat Sep 18 2021 David King <amigadave@amigadave.com> - 41.0-1
- Update to 41.0 (#2005532)

* Thu Sep 16 2021 David King <amigadave@amigadave.com> - 41~alpha-1
- Initial version

